This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List StorageClasses

1 - 1.0

get /v1/aimlops-platform/internal/clusters/{cluster_id}/storageclasses

Description

Get List of AI&MLOps Platform StorageClasses.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260319

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example : 10a599e031e749b7b260868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListStorageClassResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/aimlops-platform/internal/clusters/{cluster_id}/storageclasses

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = aimlops-platform 1.0"

Example HTTP response

Response 200

{
    "count": 0,
    "links": [],
    "storage_classes": []
}